.Riyaan Docs
API ReferenceOutbound
POST
/api/outbound/triggers

Authorization

bearerAuth
AuthorizationBearer <token>

appSecret or sessionToken

In: header

Request Body

application/json

name*string

Trigger name

eventType*string

Event key (cart_abandoned, payment_failed, etc.)

channel*string

sms | email | push | voice

template*string

Message template using {{placeholders}}

condition?object

Condition object matched against eventData

throttleMaxPerWindow?number

Max sends per throttle window

throttleWindowMs?number

Throttle window in milliseconds

isActive?boolean

Enable/disable trigger

Response Body

application/json

curl -X POST "https://your-convex-deployment.convex.site/api/outbound/triggers" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "eventType": "string",    "channel": "string",    "template": "string"  }'
{}
Edit on GitHub

Last updated on